%define module_name	alsa
%define module_version	1.0.16
%define module_subver	%nil
%define module_release	alt2

%define module_full_version	%module_version%module_subver
%define module_source	ftp://ftp.alsa-project.org/pub/driver/alsa-driver-%module_full_version.tar.bz2
%define module_source_dir alsa-driver-%module_full_version

#### MODULE SOURCES ####
Name:          kernel-source-%module_name-%module_version
Version:       %module_version
Release:       %module_release
Summary:       Linux %module_name modules sources
License:       GPL
Group:         Development/Kernel
URL:           http://www.alsa-project.org/
BuildArch:     noarch
Provides:      kernel-source-%module_name = %module_full_version
Source0:       %module_source

# patches from ALTLinux team
Patch0: alsa-driver-1.0.10-intel8x0-blacklist.patch
Patch1: alsa-driver-1.0.11rc1-alt-fix-compile.patch
Patch2: alsa-driver-1.0.9a-fm801-more-ids.patch
Patch3: alsa-kernel-1.0.15-sound-hda-realtek-compal.patch

# patches from -hg
# thanks to Mandriva kernel team for testing ;)
Patch1001:	DS01_sound-alsa-pc-speaker-support.patch
Patch1002:	DS02_sound-alsa-pc-speaker-cleanups.patch
Patch1003:	DS03_sound-pcsp-improve-enable-option-handling.patch
Patch1011:	DS11_sound-soc-fix-duplicate-rj-master-test.patch
Patch1012:	DS12_sound-hda-intel-Fix-PCM-device-number-assignment.patch
Patch1013:	DS13_sound-hda-codec-Add-ID-for-HDMI-codec-on-Jetway-J9F2.patch
Patch1014:	DS14_sound-ice1712-Fix-hoontech-MIDI-input.patch
Patch1015:	DS15_sound-hda-STAC927x-power-down-inactive-DACs.patch
Patch1016:	DS16_sound-hda-intel-use-SG-buffers.patch
Patch1017:	DS17_sound-hda-intel-support-64bit-buffer-allocation.patch
Patch1018:	DS18_sound-ice1712-add-support-for-Delta1010E.patch
Patch1019:	DS19_sound-ice1712-all-support-for-Delta-66E.patch
Patch1020:	DS20_sound-hda-intel-Fix-compile-error-with-CONFIG_SND_DEBUG_DETECT.patch
Patch1021:	DS21_sound-hda-codec-correct-HDMI-transmitter-names.patch
Patch1022:	DS22_sound-hda-codec-remove-duplicate-controls-in-alc268-test-mixer.patch
Patch1023:	DS23_sound-hda-codec-Fix-race-condition-in-generic-bound-volume-switch-controls.patch
Patch1024:	DS24_sound-hda-codec-fix-ALC880-F1734-model.patch
Patch1025:	DS25_sound-hda-codec-fix-automute-of-AD1981HD-hp-model.patch
Patch1026:	DS26_sound-hda-codec-dont-create-vmaster-if-no-slaves-found.patch
Patch1027:	DS27_sound-hda-codec-fix-wrong-capture-source-selection-for-ALC883-codec.patch
Patch1028:	DS28_sound-hda-codec-fix-ALC882-capture-source-selection.patch
Patch1029:	DS29_sound-hda-codec-clean-up-capture-source-selection-of-Realtek-codecs.patch
Patch1030:	DS30_sound-hda-codec-implement-auto-mic-jack-sensing-for-Samsung-laptops-with-AD1986A.patch
Patch1031:	DS31_sound-hda-codec-more-auto-configuration-fixups.patch
Patch1032:	DS32_sound-hda-codec-fix-aout-configuration-of-realtek-codecs.patch
Patch1033:	DS33_sound-hda-codec-add-IEC958-default-PCM-switch.patch
Patch1034:	DS34_sound-hda-codec-add-more-names-to-vendor-list.patch
Patch1035:	DS35_sound-hda-codec-fix-breakage-of-resume-in-auto-config-of-realtek-codecs.patch
Patch1036:	DS36_sound-hda-intel-add-ATI-RV7xx-HDMI-audio-support.patch
Patch1037:	DS37_sound-hda-codec-fix-amp-in-values-for-pin-widgets.patch
Patch1038:	DS38_sound-hda-codec-fix-missing-capsrc_nids-for-ALC262.patch
Patch1039:	DS39_sound-hda-codec-add-support-for-AD1883-AD1884A-AD198A-q984B.patch
Patch1040:	DS40_sound-hda-codec-add-model-mobile-for-AD1884A.patch
Patch1041:	DS41_sound-intel8x0-add-support-for-8-channel-sound.patch
Patch1042:	DS42_sound-hda-codec-fix-master-volume-on-HP-dv8000.patch
Patch1043:	DS43_bt87X-fix-freeing-of-shared-interrupt.patch
Patch1044:	DS44_sound-hda-intel-fix-oops-with-ATI-HDMI-devices.patch
Patch1045:	DS45_sound-hda-codec-fix-ALC662-recording.patch
Patch1046:	DS46_sound-hda-codec-fix-ALC268-capture-source.patch
Patch1047:	DS47_sound-hda-codec-fix-STAC927x-power-management.patch
Patch1048:	DS48_sound-hda-codec-fix-STAC927x-invalid-association-value.patch
Patch1049:	DS49_sound-hda-add-PCI_QUIRKS-for-laptops-with-92HDxxxx-codecs.patch
Patch1050:	DS50-sound-hda-STAC927x-analog-mic.patch
Patch1051:	DS51_sound-seq_oss_synth-remove-invalid-bug.patch
Patch1052:	DS52_sound-hda-codec-add-missing-descriptions-for-STAC-codec-models.patch
Patch1053:	DS53_sound-hda-codec-adapt-eeepc-p701-mixer-for-virtual-master-control.patch
Patch1054:	DS54_sound-usb-audio-add-workaround-for-broken-E-Mu-frequency-feedback.patch
Patch1055:	DS55_sound-usb-audio-sort-quirks-list.patch
Patch1056:	DS56_sound-sb8-fix-sb-1,0-capture-DMA-programming.patch
Patch1057:	DS57_sound-hda-codec-fix-AD1988-capture-elements.patch
Patch1058:	DS58_sound-hda-codec-add-Fujitsu-Lifebook-E8410-to-quirk-table.patch
Patch1059:	DS59_sound-hda-codec-fix-initial-DAC-numbers-of-92HD71bxx-codecs.patch
Patch1060:	DS60_sound-oxygen-add-owner-field.patch
Patch1061:	DS61_sound-hda-codec-add-docking-station-mic-input-for-Thinkpad-X61.patch
Patch1062:	DS62_sound-hda-codec-fix-names-of-realtek-codecs-to-adapt-master-controls.patch
Patch1063:	DS63_sound-intel8x0-add-quirk-for-Compaq-Deskpro-EN.patch
Patch1064:	DS64_sound-hda-sigmatel-disable-power-management-on-fixed-ports.patch
Patch1065:	DS65_sound-hda-sigmatel-add-verbs-for-92hd73xxx-laptops.patch
Patch1066:	DS66_sound-hda-codec-fix-array-over-range-access-with-stac92hd71bxx-codec.patch
Patch1067:	DS67_sound-hda-codec-mode-for-alc883-to-support-M720R.patch
Patch1068:	DS68_sound-hda-ALC288-Add-NEC-S970-to-the-quirk-table.patch
Patch1069:	DS69_sound-hda-codec-model-for-alc883-to-support-FUJITSU-Pi2515.patch
Patch1070:	DS70_sound-hda-codec-model-for-cx20549-to-support-laptop-HP530.patch
Patch1071:	DS71_sound-hda-intel-Add-the-IDs-of-nvidia-MCP79-HD-audio.patch
Patch1072:	DS72_sound-hda-codec-Fix-dmics-on-ALC268-in-auto-configuration.patch
Patch1073:	DS73_sound-hda-codec-Add-internal-mic-item-for-ALC268-acer-model.patch
Patch1074:	DS74_sound-HDA-Codec-add-support-for-Toshiba-Equium-L30.patch
Patch1075:	DS75_sound-at73c213-fix-error-checking-for-clk-API.patch
Patch1076:	DS76_sound-at73c213-monaural-support.patch
Patch1099:	DS99_DS04_sound-pcsp-add-description.patch

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

#### KERNEL DOCUMENTATION ####
%package -n kernel-doc-%module_name-%module_version
Version:       %module_version
Summary:       Linux %module_name modules documentation
Group:         Development/Kernel

%description
%module_name modules sources for Linux kernel

%description -n kernel-doc-%module_name-%module_version
%module_name modules documentation for Linux kernel

#### KERNEL HEADERS ##########
%package -n kernel-headers-alsa
Summary: Header files for the %module_name modules system
Group: System/Kernel and hardware
Requires: kernel-headers
Obsoletes: alsa-driver-headers
Provides: alsa-driver-headers = %version-%release
Provides: kernel-headers-alsa-std-up = %version
Provides: kernel-headers-alsa-std-smp = %version

%description -n kernel-headers-alsa
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features:
1. Efficient support for all types of audio interfaces, from consumer
soundcards to professional multichannel audio interfaces.
2. Fully modularized sound drivers.
3. SMP and thread-safe design.
4. User space library (alsa-lib) to simplify application programming
and provide higher level functionality.
5. Support for the older OSS API, providing binary compatibility for
most OSS programs.

These are the C header files for the %module_name modules system,
which define structures and constants that are needed when building
most standard programs that use %module_name.



%prep
%setup -q -c

pushd %module_source_dir
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%patch1001 -p1 
%patch1002 -p1
%patch1003 -p1
%patch1011 -p1
%patch1012 -p1
%patch1013 -p1
%patch1014 -p1
%patch1015 -p1
%patch1016 -p1
%patch1017 -p1
%patch1018 -p1
%patch1019 -p1
%patch1020 -p1
%patch1021 -p1
%patch1022 -p1
%patch1023 -p1
%patch1024 -p1
%patch1025 -p1
%patch1026 -p1
%patch1027 -p1
%patch1028 -p1
%patch1029 -p1
%patch1030 -p1
%patch1031 -p1
%patch1032 -p1
%patch1033 -p1
%patch1034 -p1
%patch1035 -p1
%patch1036 -p1
%patch1037 -p1
%patch1038 -p1
pushd alsa-kernel
%patch1039 -p1
%patch1040 -p1
%patch1041 -p1
%patch1052 -p1
%patch1099 -p1
popd
%patch1042 -p1
%patch1043 -p1
%patch1044 -p1
%patch1045 -p1
%patch1046 -p1
%patch1047 -p1
%patch1048 -p1
%patch1049 -p1
%patch1050 -p1
%patch1051 -p1
%patch1053 -p1
%patch1054 -p1
%patch1055 -p1
%patch1056 -p1
%patch1057 -p1
%patch1058 -p1
%patch1059 -p1
%patch1060 -p1
%patch1061 -p1
%patch1062 -p1
%patch1063 -p1
%patch1064 -p1
%patch1065 -p1
%patch1066 -p1
%patch1067 -p1
%patch1068 -p1
%patch1069 -p1
%patch1070 -p1
%patch1071 -p1
%patch1072 -p1
%patch1073 -p1
%patch1074 -p1
%patch1075 -p1
%patch1076 -p1

find . -name '*.orig' -delete
popd

%__mkdir_p include
ln -sf ../%module_source_dir/alsa-kernel/include include/sound

%build

%install
mkdir -p %buildroot%_usrsrc/kernel/sources
mkdir -p %buildroot%_includedir/sound
mkdir -p %buildroot%_defaultdocdir/%module_name-doc-%module_version
cp -a %module_source_dir/FAQ \
    %buildroot%_defaultdocdir/%module_name-doc-%module_version
cp -a %module_source_dir/doc/{SOUNDCARDS,*.txt} \
    %buildroot%_defaultdocdir/%module_name-doc-%module_version
cp -a %module_source_dir/alsa-kernel/Documentation/*.{txt,html} \
    %buildroot%_defaultdocdir/%module_name-doc-%module_version
mv %module_source_dir kernel-source-%module_name-%module_version
tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
cp -r kernel-source-%module_name-%module_version/alsa-kernel/include/* %buildroot%_includedir/sound

%files
%_usrsrc/*

%files -n kernel-doc-%module_name-%module_version
%doc %_defaultdocdir/%module_name-doc-%module_version

%files -n kernel-headers-alsa
%_includedir/sound

%changelog
* Wed Mar 12 2008 L.A. Kostis <lakostis@altlinux.ru> 1.0.16-alt2
- Re-apply all ALT- patches.
- Added patches from alsa-driver hg repo:
  + snd-pc-speaker: Add PC-speaker sound driver
  + snd-pcsp: clean ups
  + pcsp: improve "enable" option handling
  + pcsp: add description
  + snd-soc: duplicate strcasecmp test for "rj-master" in mpc8610_hpcd_probe()
  + snd-hda-intel: Fix PCM device number assignment
  + snd-hda-codec: Add ID for an unknown HDMI codec chip
  + snd-ice1712: Fix hoontech MIDI input
  + snd-hda-codec: STAC927x power down inactive DACs
  + snd-hda-intel: Use SG buffer
  + snd-hda-intel: Support 64bit buffer allocation
  + snd-ice1712: Added support for Delta1010E (newer revisions of Delta1010)
  + snd-ice1712: added support for M-Audio Delta 66E
  + snd-hda-intel: Fix a compile error with CONFIG_SND_DEBUG_DETECT=y
  + snd-hda-codec: Add COMPAL IFL90/IFL91 to quirk table
  + snd-hda-codec: Correct HDMI transmitter names
  + snd-hda-codec: remove duplicate controls in alc268 test mixer
  + snd-hda-codec: Fix race condition in generic bound volume/swtich controls
  + snd-hda-codec: Fix ALC880 F1734 model
  + snd-hda-codec: Fix automute of AD1981HD hp model
  + snd-hda-codec: Don't create vmaster if no slaves found
  + snd-hda-codec: Fix wrong capture source selection for ALC883 codec
  + snd-hda-codec: Fix ALC882 capture source selection
  + snd-hda-codec: Clean up capture source selection of Realtek codecs
  + snd-hda-codec: Implement auto-mic jack sensing on Samsung laptops
  + snd-hda-codec: More fix-up for auto-configuration
  + snd-hda-codec: Fix auto-configuration of Realtek codecs
  + snd-hda-codec: Add "IEC958 Default PCM" switch
  + snd-hda-codec: Add more names to vendor list
  + snd-hda-codec: Fix breakage of resume in auto-config of realtek codecs
  + snd-hda-intel: Patch to support RV7xx HDMI Audio
  + snd-hda-codec: Fix amp-in values for pin widgets
  + snd-hda-codec: Fix missing capsrc_nids for ALC262
  + snd-hda-codec: Add support of AD1883/1884A/1984A/1984B
  + snd-hda-codec: Add model=mobile for AD1884A & co
  + snd-intel8x0: Add support of 8 channel sound
  + snd-hda-codec: Fix Master volume on HP dv8000
  + bt87X: fix freeing of shared interrupt
  + snd-hda-intel: Fix Oops with ATI HDMI devices
  + snd-hda-codec: Fix ALC662 recording
  + snd-hda-codec: Fix ALC268 capture source
  + snd-hda-codec: fix STAC927x power management
  + snd-hda-codec: STAC927x invalid association value
  + snd-hda-codec: 92HDxxxx PCI Quirks
  + snd-hda-codec: STAC927x analog mic
  + snd-seq-oss: Remove invalid BUG()
  + snd-hda-codec: Add missing descriptions for STAC codec models
  + snd-hda-codec: Adapt eeepc p701 mixer for virtual master control
  + usb-audio add workaround for broken E-Mu frequency feedback
  + usb-audio sort quirks list
  + snd-sb8: fix SB 1.0 capture DMA programming
  + snd-hda-codec: Fix AD1988 capture elements
  + snd-hda-codec: Add Fujitsu Lifebook E8410 to quirk table
  + snd-hda-codec: Fix initial DAC numbers of 92HD71bxx codecs
  + snd-oxygen: add owner field
  + snd-hda-codec: Add docking-station mic input for Thinkpad X61
  + snd-hda-codec: Fix mixer names of realtek codecs to adapt mater controls
  + snd-intel8x0: Add quirk for Compaq Deskpro EN
  + snd-hda-codec: disable power management on fixed ports
  + snd-hda-codec: add verbs for 92hd73xxx laptops
  + snd-hda-codec: Fix the array over-range access with stac92hd71bxx codec
  + snd-hda-codec: model for alc883 to support M720R
  + snd-hda-codec: ALC288: Add NEC S970 to the quirk table
  + snd-hda-codec: model for alc883 to support FUJITSU Pi2515
  + snd-hda-codec: model for cx20549 to support laptop HP530
  + snd-hda-intel: Add the DIDs of nvidia MCP79 HD audio controller to hda_intel.c
  + snd-hda-codec: Fix dmics on ALC268 in auto configuration
  + snd-hda-codec: Add internal mic item for ALC268 acer model
  + snd-hda-codec: HDA Codecs: add support for Toshiba Equium L30
  + snd-soc-at73c213: fix error checking for clk API
  + snd-soc-at73c213: monaural support

* Thu Feb 07 2008 Michail Yakushin <silicium@altlinux.ru> 1.0.16-alt1
- 1.0.16 final 

* Thu Jan 31 2008 Michail Yakushin <silicium@altlinux.ru> 1.0.16-alt0.rc1
- 1.0.16rc1 for 2.6.24 kernel

* Mon Nov 05 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.15-alt0.2
- Added alsa-kernel patches:
  + snd-hda-codec: Add satellite-l40-139 quirk

* Sat Nov 03 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.15-alt0.1
- 1.0.15.
- Added patches from alsa-driver hg repo:
  + hg-3409: bt87 patch: regenerated for the last changes
  + hg-3411: pcsp: fix build with pre-2.6.24
  + hg-3414: fix build with recent 2.6.24-pre kernel
  + hg-3415: snd-ice1724: add se.c skeleton file
  + hg-3418: fix configure check for unified x86 include directory
- Added patches from alsa-kernel hg repo:
  + hg-5456: snd-hda-codec: fix STAC922x volume knob control 
  + hg-5457: snd-usb-audio: fix double comment
  + hg-5458: snd-hdsp: fix zero division
  + hg-5459: snd-hda-codec: add array terminator for dmic in STAC codec
  + hg-5460: snd-hda-codec: support ASUS P701 eeepc
  + hg-5461: snd-hda-codec: fix SKU ID function for realtek codecs
  + hg-5462: snd-gus: fix bootup crash in snd_gus_interrupt()
  + hg-5464: snd-opti92xx: support for a wavetable chip on
             the BTC 1817DW board
  + hg-5466: snd-hda-codec: fix AD1986A Lenovo auto-mute
  + hg-5467: snd-bt87x: fix section mismatch
  + hg-5468: snd-hda-codec: add missing eeepc-p701 model for ALC662
  + hg-5470: snd-bt87x: make the load_all option work correctly
  + hg-5471: snd-hda-codec: fix conflict of Master volume in STAC92xx codec
  + hg-5472: snd-hda-codec: add STAC9228 DMIC support
  + hg-5473: snd-hda-codec: fix Conexant 5045 volumes
  + hg-5474: snd-hda-codec: fix build without CONFIG_SND_HDA_GENERIC
  + hg-5475: snd-hda-codec: add dmux to STAC 9228
  + hg-5476: snd-soc: s3c2443-ac97: compilation fix
  + hg-5477: snd-hda-codec: STAC9228 updated DMUX nid
  + hg-5478: snd-usb-audio: Another USB mic quirk for Logitech Communicator webcam
  + hg-5479: snd-hda-codec: add model for Fujitsu V5505
  + hg-5480: sound/core/control.c: hard-irq-safe -> hard-irq-unsafe lock warning
  + hg-5481: snd-hda-codec: fix possible array overflow
  + hg-5482: snd-soc: add "Mono Playback Switch" to WM9712 codec driver
  + hg-5483: snd-ice1724: add support of Onkyo SE-90PCI and SE-200PCI
  + hg-5485: snd-ca0106: fix write proc assignment
  + hg-5487: snd-via82xx: fix quirk for Shuttle AK32VN

* Wed Oct 10 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.15-alt0.1.rc3
- 1.0.15rc3.
- Removed all old hg-* patches (already in upstream).
- Added patches from alsa-driver hg repo:
  + hg-5436: snd-hda-intel: add NVIDIA MCP79 HD Audio support

* Tue Jun 12 2007 Sergey Vlasov <vsu@altlinux.ru> 1.0.14-alt1
- 1.0.14.
- Removed all old hg-* patches (already in upstream).
- Dropped workqueue-flags patch (obsolete - was needed for some very old
  versions of the swsusp2 kernel patch).
- Dropped alt-hda_intel-disable-msi patch (obsolete - upstream version now
  defaults to not using MSI).
- Added patches from alsa-driver hg repo:
  + hg-6150: snd: fix kmemdup() wrapper usage
  + hg-6151: snd-asihpi: fix compatibility with 64-bit resource_size_t
  + hg-6152: snd-usb-caiaq: fix compatibility with kernels < 2.6.19
- Added patches from alsa-kernel hg repo:
  + hg-9220: Documentation: describe duplex streams with OSS emulation
  + hg-9219: snd-hda-codec: AD1984: fix oops with thinkpad model
  + hg-9221: snd-hda-codec: AD1984: fix basic model
  + hg-9222: snd-hda-codec: ALC262: support HP xw4550, xw4600, xw6600, xw8600
  + hg-9223: snd-hda-codec: add ALC268 codec support
  + hg-9224: snd-hda-codec: ALC861: add another Uniwill laptop support
  + hg-9225: snd-hda-codec: ALC883: add another MSI laptop (1462:0349)
  + hg-9227: snd-hda-codec: AD1984: fix Thinkpad X61/T61 outputs
  + hg-9231: snd-hda-codec: ALC883: add HP Pavillion a1589L
  + hg-9228: snd-hda-intel: add NVIDIA MCP73, MCP77 HD Audio support

* Sat Nov 11 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.13-alt1
- 1.0.13.
- Removed all old hg-* patches (already in upstream).
- Added patches from alsa-driver hg repo:
  + hg-6005: snd: fix build with disconnect oops fix (alsa-kernel hg-8718)
  + hg-5999: snd-usb-usx2y: fix for urb->start_frame changes in kernel 2.6.18
  + hg-6021: snd-usb-usx2y: fix the hg-5999 fix
- Added patches from alsa-kernel hg repo:
  + hg-8718: snd: fix disconnect oops due to wrong file operations handling
  + hg-8785: snd: fix re-use of va_list
  + hg-8787: snd: fix addition of user-defined boolean controls
  + hg-8794: snd-ac97-*: suppress power-saving mode on non-supporting drivers
  + hg-8709: snd-ac97-codec: ALC655: add EAPD hack for MSI L725 laptop
  + hg-8779: snd-ac97-codec: ALC655: enable speakers on MSI S250 laptop
  + hg-8786: snd-ac97-codec: fix AC97 power-saving mode
  + hg-8817: snd-ac97-codec: fix potential negative array index
  + hg-8743: snd-ad1816a: check kmalloc() return value
  + hg-8719: snd-au88x0: fix missing iounmap on module unload
  + hg-8742: snd-cmi8330: check kmalloc() return value
  + hg-8807: snd-echoaudio: fix potential NULL pointer dereference
  + hg-8706: snd-emu10k1: fix outl() in snd_emu10k1_resume_regs()
  + hg-8755: snd-hda-codec: fix wrong error checks for snd_hda_ch_mode_put()
  + hg-8756: snd-hda-codec: try to continue when modem codec init fails
  + hg-8758: snd-hda-codec: fix assignment of PCM devices for Realtek codecs
  + hg-8769: snd-hda-codec: ALC883: add support for Medion laptops
  + hg-8771: snd-hda-codec: AD1986A: add model entry for ASUS U5F laptop
  + hg-8772: snd-hda-codec: fix typo in hg-8769 fix
  + hg-8781: snd-hda-codec: ALC861: add support for Toshiba laptops
  + hg-8782: snd-hda-codec: add new models for Realtek codecs:
     + ALC262: add Hippo (ATI) and Hippo (Benq) models
     + ALC883: add Targa/MSI models (6ch and 2ch)
     + ALC660: add another ID for the codec chip
  + hg-8784: snd-hda-codec: fix typo in proc file
  + hg-8791: snd-hda-codec: ALC861: add support for ASUS laptops (A6Rp-AP002)
  + hg-8793: snd-hda-codec: ALC262: add model entry for HP q965
  + hg-8795: snd-hda-codec: AD1986A: add model entry for Lenovo A60 desktop
  + hg-8796: snd-hda-codec: STAC9205: add digital microphone support
  + hg-8806: snd-hda-codec: fix support for Dell systems with STAC9200 codecs
  + hg-8808: snd-hda-codec: ALC262: fix subsystem ID for HP xw4400
  + hg-8809: snd-hda-codec: AD1986A: add model entry for ASUS M2N-MX
  + hg-8811: snd-hda-codec: ALC883: add Clevo M540JE, M550JE laptop support
  + hg-8813: snd-hda-codec: AD1986A: add model entry for ASUS V1j laptop
  + hg-8815: snd-hda-codec: verbose proc output for PCM parameters
  + hg-8818: snd-hda-codec: fix typo in PCI ID for Samsung X11
  + hg-8814: snd-hda-codes: fix detection of supported sample rates
  + hg-8716: snd-hda-intel: increase maximum DMA buffer size to 1024 KB
  + hg-8777: snd-hda-intel: add ATI RS690 HDMI audio support
  + hg-8800: snd-hda-intel: add NVIDIA MCP61, MCP65, MCP67 HD Audio support
  + hg-8775: snd-hdsp: switch off precise_ptr control by default
  + hg-8741: snd-interwave: check kmalloc() return value
  + hg-8744: snd-opti92x-ad1848: check kmalloc() return value
  + hg-8797: snd-rtctimer: handle RTC interrupts with a tasklet
  + hg-8816: snd-usb-audio: fix hang-up at disconnection of usb-audio
  + hg-8701: snd-usb-usx2y: usX2Y_pcms_lock_check(): add NULL check
  + hg-8702: snd-usb-usx2y: fix for urb->start_frame changes in kernel 2.6.18
- Added patches:
  + alsa-driver-1.0.13-alt-hda_intel-disable-msi.patch: snd-hda-intel: disable
    Message Signaled Interrupt (MSI) by default

* Fri Sep 15 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.12-alt1
- 1.0.12.
- Removed obsolete patches:
  - alsa-kernel-1.0.11-hg-via-vt8251.patch
  - alsa-kernel-1.0.11-hg-pcxhr-64bit.patch
  - alsa-kernel-1.0.11-hg-hda-asus-m9.patch
  - alsa-kernel-1.0.11-hg-hda-ad1988b.patch
- Added patches from alsa-kernel hg repo:
  + hg-8610: snd-ac97-codec: enable S/PDIF on ASUS P5P800-VM
  + hg-8626: snd-ac97-codec: fix VIA EPIA (VT1617A codec) sound problem
  + hg-8638: snd-ac97-codec: fix AD1819 volume range
  + hg-8640: snd-ac97-codec: correct some Mic mixer element names
  + hg-8651: snd-ac97-codec: fix WM9705 AC97 patch build error
  + hg-8614: snd-ak4xxx-adda: fix volume control for the AK4358 DAC
  + hg-8639: snd-es1968: fix hardware volume control
  + hg-8609: snd-hda-codec: fix for Acer laptops with ALC883 codec
  + hg-8611: snd-hda-codec: support for SigmaTel STAC9872 (Vaio AR)
  + hg-8612: snd-hda-codec: restore HDA SigmaTel pin configs on resume
  + hg-8613: snd-hda-codec: fix mic capture with generic parser
  + hg-8620: snd-hda-codec: use model=ref for some Dell laptops
  + hg-8637: snd-hda-codec: add 5 stack audio support for Intel 965 systems
  + hg-8645: snd-hda-codec: enable center/LFE speaker on some laptops
  + hg-8646: snd-hda-codec: add independent headphone volume control
  + hg-8648: snd-hda-codec: add support for LG LW25 laptop
  + hg-8650: snd-hda-codec: fix SPDIF device number of ALC codecs
  + hg-8590: snd-hda-intel: switch to polling mode for CORB/RIRB communication
  + hg-8642: snd-hdsp: fix firmware autoloading
  + hg-8627: snd-usb-audio: support for non-standard rates in USB audio driver

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.11-alt1
- 1.0.11 final release.
- Added patches from ALSA Mercurial repository:
  + alsa-kernel-1.0.11-hg-via-vt8251.patch: via82xx: tweak VT8251 workaround
  + alsa-kernel-1.0.11-hg-pcxhr-64bit.patch: pcxhr: fix 64bit bug
  + alsa-kernel-1.0.11-hg-hda-asus-m9.patch: hda-codec: add model entry for
    ASUS M9 laptop
  + alsa-kernel-1.0.11-hg-hda-ad1988b.patch: hda-codec: add codec id for
    AD1988B codec chip

* Fri Mar 24 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.11-alt0.1.rc4
- 1.0.11rc4.

* Sun Mar 12 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.11-alt0.1.rc3
- 1.0.11rc3.
- Updated alt-fix-compile patch.
- Added:
  + alsa-driver-1.0.11rc1-workqueue-flags.patch: fix compilation with swsusp2
    patch which adds a second argument to create_workqueue()

* Sun Nov 20 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.10-alt1
- 1.0.10.
- Updated intel8x0-blacklist patch.

* Fri Jun 03 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.9a-alt1
- 1.0.9a.
- Removed obsolete patches from CVS.
- Added:
  + alsa-driver-1.0.9a-fm801-more-ids.patch: add another FM801 PCI ID

* Tue Jan 25 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.8-alt1
- 1.0.8.
- Removed obsolete vortex_adbdma_resetup and aureal-quadfix patches.
- Added patches from CVS:
  + 01_pcxhr-firmware-load.patch: fix pcxhr firmware loading bugs
  + 02_azx-realtek-pciid.patch: new PCI subsystem ID
  + 03_doc-typo.patch: fix typo in the list of values for the ac97_quirk option
  + 04_azx-capture-loopback.patch: fix capture and analog loopback in the
    generic codec parser
  + 05_vx-firmware-state.patch: show the firmware loading state in proc file
  + 06_intel8x0-ich7-pciid.patch: add ICH7 device ID to snd-intel8x0
  + 07_ac97-ad1981-jack-sense.patch: fixed the default state of "Headphone Jack
    Sense" switch on AD1981x codecs (turning it on unconditionally was breaking
    sound on several Thinkpad models)
  + 08_usbaudio-quirks.patch: don't use broken legacy interfaces on M-Audio
    Quattro/Omnistudio
  + 09_atiixp-modem-fix.patch: workaround for buggy ATI IXP chips
  + 10_missing-includes.patch: add missing #include <linux/device.h>
  + 11_ice1712-quirks.patch: add support for Chaintech 9CJS
  + 12_atiixp-quirks.patch: HP Pavilion ZV5030US mute LED support
  + 13_intel8x0-quirks.patch: HP nc8000 mute LED support
  + 14_ac97-jack-sense-quirks.patch: enable 'Headphone Jack Sense' control on
    FSC Scenic-W
  + 15_usbmidi-quirks.patch: add support for Yamaha UC-MX, UC-KX, CLP-175,
    SPX2000
  + 16_ac97-quirks.patch: fix sound output on the ASUS W1000 laptop with the
    CMI9739 chip (use EAPD instead of SPDIF in).

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.6a-alt2
- Restored changes from 1.0.4-alt2 which were lost in 1.0.6a-alt1:
  + Added Aureal patches from Manual Jander
  + Added Provides: kernel-source-%%module_name = %%module_version
- Replaced aureal-2.6.6.diff.gz with
  alsa-driver-1.0.6a-vortex_adbdma_resetup.patch (the only part which did not
  get merged to the main ALSA tree for some reason).
- Added alsa-driver-1.0.6a-alt-fix-compile.patch: fix header compilation with
  old kernel headers (glibc-kernheaders) without __user definition.
- Added header compilation check to %%build.

* Sat Oct 09 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.6a-alt1
- 1.0.6a
- Removed obsolete patches:
   - alsa-driver-1.0.4-via82xx-quirk.patch
   - alsa-driver-1.0.4-atiixp-spdif-fix.patch
   - alsa-driver-1.0.4-ac97-cache-spdif.patch
   - alsa-driver-1.0.4-ac97-powerdown.patch
   - alsa-driver-1.0.4-intel8x0-20bit.patch

* Thu Jun 10 2004 Alexey Morozov <morozov@altlinux.org> 1.0.4-alt2
- Added Aureal patches from Manual Jander:
  * http://galadriel.mat.utfsm.cl/~mjander/aureal/alsa/aureal-2.6.6.diff.gz
  * aureal-quadfix.patch (http://lists.gnu.org/archive/html/openvortex-dev/2004-06/txtLq3yTP8Vl0.txt)
- Added Provides: kernel-source-%%module_name = %%module_version

* Mon Apr 05 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.4-alt1
- 1.0.4
- Added patches from CVS:
  - alsa-driver-1.0.4-via82xx-quirk.patch: added dxs_support and ac97_quirk
    entries for Arima notebook
  - alsa-driver-1.0.4-atiixp-spdif-fix.patch: fixed SPDIF support (48k only)
  - alsa-driver-1.0.4-ac97-cache-spdif.patch: fixed the possible ac97 register
    cache mismatch; added the detection of spdif sample rates
  - alsa-driver-1.0.4-ac97-powerdown.patch: fix access to wrong register when
    clearing powerdown bits
  - alsa-driver-1.0.4-intel8x0-20bit.patch: 20-bit sample format support (for
    ICH4 and later devices)

* Tue Mar 02 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.3-alt1
- 1.0.3
- dropped ac97-quirk patch (upstream)

* Wed Feb 04 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2c-alt1
- 1.0.2c

* Tue Feb 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2b-alt1
- 1.0.2b
- spec file cleanup
- moved patches from kernel-modules-alsa-* here
- fixed file lists for kernel-doc-alsa

* Fri Jan 09 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.1-alt1
- 1.0.1
- added URL

* Wed Oct 22 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Mon Oct 13 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.7-alt1c
- 0.9.7c

* Sat Oct 11 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.7-alt1b
- 0.9.7b

* Wed Oct 08 2003 Rider <rider@altlinux.ru> 0.9.7-alt1a
- 0.9.7a 

* Fri Sep 26 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.7-alt1
- 0.9.7
- removed %%kversion-%%krelease from Provides: alsa-driver-headers

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt2
- added Obsoletes: alsa-drivers-headers to -headers.

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt1
- 0.9.6

* Tue Jul 29 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.5-alt2
- headers are generated from source package now.

* Tue Jul 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Thu Jun 12 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.4-alt1
- new upstream

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.2-alt2
- adopting to new kernel policy.

* Thu Mar 20 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.2-alt1
- new upstream

* Wed Feb 19 2003 Peter Novodvorsky <nidd@altlinux.org> 0.9.1-alt1
- initial release of NGKPs
